/* JSP specific */
"JSP" = "JSP Code";
"JSP Comment" = "<%-- Comment --%>";
"JSP Delimiter" = "<% JSP Code block %>";
"Java Keywords" = "Java Keywords";
"Keywords 2" = "Keywords";
"Numbers" = "Numbers";
"FunctionRegex" = "Functions";
"Preprocessor" = "Preprocessor";
"Single Line Comment" = "// Comment";
"Multi Line Comment" = "/* Comment */";
"JSP Strings" = "\"Strings\"";
"JSP Tags" = "JSP Tags";

/* Imported State specific */
"/XML/Tags" = "Tags";
"/XML/Strings in Tags" = "\"Strings in Tags\"";
"/XML/Single Strings in Tags" = "'Strings in Tags'";
"/XML/Attributes in Tags" = "Attributes in Tags";
"/XML/Entities" = "Entities";
"/XML/Comment" = "<!-- Comment -->";
"/XML/CDATA" = "<![CDATA[...]]>";
"/XML/Doctype" = "<!Declaration>";
"/XML/Escape" = "<?Prologue?>";
"/XML/SGML Double Dash" = "Invalid SGML Comment Warning";

"/HTML/Inline CSS" = "Inline CSS";
"/HTML/Inline JavaScript" = "Inline JavaScript";
"/HTML/Style Tags" = "Style Tags";
"/HTML/Opening Style Tag" = "Opening Style Tag";
"/HTML/Script Tags" = "Script Tags";
"/HTML/Opening Script Tag" = "Opening Script Tag";

"/CSS/CSS Attributes" = "CSS Attributes";
"/CSS/CSS Keywords" = "CSS Keywords";
"/CSS/CSS Digits" = "CSS Digits";
"/CSS/CSS Colors" = "CSS Colors";
"/CSS/AutodocComment" = "/*\" CSS Comment \"*/";
"/CSS/Comment" = "/* CSS Comment */";
"/CSS/SingleComment" = "// CSS Comment";
"/CSS/String" = "\"CSS Strings\"";
"/CSS/Inside curly brackets" = "{CSS inside curly brackets}";
"/CSS/Round bracket" = "(CSS inside parentheses)";
"/CSS/SingleString" = "'CSS Strings'";
"/CSS/Attribute state" = "CSS Attribute state";
"/CSS/URL" = "URL()";

"/JavaScript/Keywords" = "JavaScript Keywords";
"/JavaScript/Numbers" = "JavaScript Numbers";
"/JavaScript/Characters" = "JavaScript Characters";
"/JavaScript/FunctionRegex" = "JavaScript Function Calls";
"/JavaScript/AutodocComment" = "/*\" JavaScript Comment \"*/";
"/JavaScript/Comment" = "/* JavaScript Comment */";
"/JavaScript/SingleComment" = "// JavaScript Comment";
"/JavaScript/String" = "\"JavaScript Strings\"";
"/JavaScript/SingleString" = "'JavaScript Strings'";
"/JavaScript/Regular Expressions" = "JavaScript Regular Expressions";
"/JavaScript/Escaped Characters" = "JavaScript Escaped Characters";